using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {	
              CategoryBuilder.Create("1992 LA Riots: Roof Koreans", "1992 LA Riots", ModAPI.LoadSprite("icon.png"));				
		
		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(LA) Roof Korean 1 (Short Sleeve)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "To Protect... our stores.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("shirt1.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(LA) Roof Korean 2 (Short Sleeve)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "To Protect... our stores.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("shirt2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(LA) Roof Korean 3 (Short Sleeve)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "To Protect... our stores.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("shirt3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );






		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(LA) Roof Korean 4 (Short Sleeve)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "To Protect... our stores.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("shirt4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(LA) Roof Korean 1 (T-Shirt)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "To Protect... our stores.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("tee1.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(LA) Roof Korean 2 (T-Shirt)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "To Protect... our stores.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("tee2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(LA) Roof Korean 3 (T-Shirt)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "To Protect... our stores.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("tee3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );






		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(LA) Roof Korean 1 (Jacket)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "To Protect... our stores.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("jacket1.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );





		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "(LA) Roof Korean 2 (Jacket)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "To Protect... our stores.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("jacket2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );




			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(LA) Korean Bandana",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "White.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bandana.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );






			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(LA) Hair 7",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Just a Prop.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon9.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hair1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );






			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(LA) Hair 8",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Just a Prop.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon10.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hair2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );





			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(LA) Hair 9",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Just a Prop.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon11.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hair3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(LA) Hair 10",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Just a Prop.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon12.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hair4.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );





			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(LA) Round Glasses (Gold)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Clear.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon6.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("glasses2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(LA) Round Glasses (Black)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Clear.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon5.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("glasses1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(LA) Glasses (Gold)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Clear.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon8.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("glasses4.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(LA) Glasses (Black)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Clear.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon7.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("glasses3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(LA) Moustache 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Just the 'stache.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon13.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("moustache1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );





			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(LA) Moustache 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Just the 'stache.",
                    CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/icon14.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("moustache2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );




						            ModAPI.Register(
                new Modification()
                {
								OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "(LA) Store Shelf",
					NameToOrderByOverride = "L",
					DescriptionOverride = "Prop",
					CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
					ThumbnailOverride = ModAPI.LoadSprite("icons/icon16.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("shelf.png", 2f);
						Instance.FixColliders();
					}
				}
			);





						            ModAPI.Register(
                new Modification()
                {
								OriginalItem = ModAPI.FindSpawnable("Rod"),
					NameOverride = "(LA) Rice Bags",
					NameToOrderByOverride = "L",
					DescriptionOverride = "Makeshift Cover.",
					CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
					ThumbnailOverride = ModAPI.LoadSprite("icons/icon16.png"),
					AfterSpawn = (Instance) =>
					{
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ricebags.png", 1f);
						Instance.FixColliders();
					}
				}
			);





						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "(LA) M1911A1",
                 DescriptionOverride = "Classic sidearm used by civilians during rioting",
                 CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon17.png", 20f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 22f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m1911.png",19f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.08f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/pistol.wav"),
                     };
                 }
             }
             ); ;




						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "(LA) Tec-9",
                 DescriptionOverride = "Modified Automatic Pistol.",
                 CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon21.png", 20f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 22f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tec91.png",19f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.065f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/smg.mp3"),
                     };
                 }
             }
             ); ;





						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "(LA) Tec-9 (Extended)",
                 DescriptionOverride = "Modified Automatic Pistol.",
                 CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon22.png", 20f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 22f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tec92.png",19f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.065f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/smg.mp3"),
                     };
                 }
             }
             ); ;





						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "(LA) Tec-9 (Foregrip)",
                 DescriptionOverride = "Modified Automatic Pistol.",
                 CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon23.png", 20f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 22f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tec93.png",19f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.065f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/smg.mp3"),
                     };
                 }
             }
             ); ;






			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "(LA) Ruger Mini-14",
                 DescriptionOverride = "Looks Familiar.",
                 CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon20.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rugermini.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/marksmanrifle.wav"),
                     };
                 }
             }
             ); ;




			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "(LA) Remington 700",
                 DescriptionOverride = "Civilian Bolt-Action.",
                 CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon18.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("remington700.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/boltaction.wav"),
                     };
                 }
             }
             ); ;




			 						 			            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "(LA) Remington 700 (Scope)",
                 DescriptionOverride = "Civilian Bolt-Action.",
                 CategoryOverride = ModAPI.FindCategory("1992 LA Riots: Roof Koreans"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/icon19.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 11f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("remington700scope.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.70f, 0.1200f);
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sounds/boltaction.wav"),
                     };
                 }
             }
             ); ;








			

        } 
    }
	
}